# 🚀 Crumbforest Docker Setup

Ein voll ausgestatteter Entwicklungscontainer mit CakePHP 5, TTYD-Terminal, Composer und Login-Shell.

## 📦 Enthalten

- PHP 8.3 + Apache
- MariaDB 10.5
- Composer
- ttyd (Webterminal auf Port `7681`)
- Token-basierte Shell-Anmeldung via `login`
- Automatischer Einstieg in das Crumbforest-Terminal über `session_wrapper.sh`

## 🔧 Quickstart

```bash
docker-compose build --no-cache
docker-compose up -d
```

Terminal öffnen: [http://localhost:7681](http://localhost:7681)  
Web Interface:   [http://localhost:8080](http://localhost:8080)

## 🗝 Login Token generieren

```bash
docker exec -it <app_container> bin/cake generate_token <username>
```

## 🧪 Auth-API testen

```bash
curl -X POST http://localhost:8080/terminal/auth \
  -H "Content-Type: application/x-www-form-urlencoded" \
  --data "token=dein_token"
```

